| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Attributes | List of all members
Gaudi::RootDataConnection::Tool Class Referenceabstract

Helper class to facilitate an abstraction layer for reading POOL style files with this package. More...

`#include <src/RootDataConnection.h>`

Inheritance diagram for Gaudi::RootDataConnection::Tool:
[legend]
Collaboration diagram for Gaudi::RootDataConnection::Tool:
[legend]

## Public Member Functions
TTree * | refs () const
StringVec & | dbs () const
StringVec & | conts () const
StringVec & | links () const
ParamMap & | params () const
MsgStream & | msgSvc () const
const std::string & | name () const
Sections & | sections () const
LinkSections & | linkSections () const
MergeSections & | mergeSections () const
virtual | ~Tool ()=default
| Default destructor. More...
virtual TBranch * | getBranch (const std::string &section, const std::string &n)=0
| Access data branch by name: Get existing branch in read only mode. More...
virtual RootRef | poolRef (size_t) const
| Internal overload to facilitate the access to POOL files. More...
virtual StatusCode | readRefs ()=0
| Read references section when opening data file. More...
virtual StatusCode | saveRefs ()=0
| Save references section when closing data file. More...
virtual int | loadRefs (const std::string &section, const std::string &cnt, unsigned long entry, RootObjectRefs &refs)=0
| Load references object. More...

## Protected Types
typedef RootDataConnection::StringVec | StringVec
typedef RootDataConnection::ParamMap | ParamMap
typedef RootDataConnection::Sections | Sections
typedef RootDataConnection::MergeSections | MergeSections
typedef RootDataConnection::LinkSections | LinkSections
typedef RootDataConnection::ContainerSection | ContainerSection
typedef RootDataConnection::ContainerSections | ContainerSections

## Protected Attributes
RootDataConnection * | c
| Pointer to containing data connection object. More...

## Detailed Description

Helper class to facilitate an abstraction layer for reading POOL style files with this package.

YES: This class obsoletes POOL.

Author
  M.Frank

Version
  1.0

Definition at line 195 of file RootDataConnection.h.

## Member Typedef Documentation

typedef RootDataConnection::ContainerSection Gaudi::RootDataConnection::Tool::ContainerSection
| protected

Definition at line 202 of file RootDataConnection.h.

typedef RootDataConnection::ContainerSections Gaudi::RootDataConnection::Tool::ContainerSections
| protected

Definition at line 203 of file RootDataConnection.h.

typedef RootDataConnection::LinkSections Gaudi::RootDataConnection::Tool::LinkSections
| protected

Definition at line 201 of file RootDataConnection.h.

typedef RootDataConnection::MergeSections Gaudi::RootDataConnection::Tool::MergeSections
| protected

Definition at line 200 of file RootDataConnection.h.

typedef RootDataConnection::ParamMap Gaudi::RootDataConnection::Tool::ParamMap
| protected

Definition at line 198 of file RootDataConnection.h.

typedef RootDataConnection::Sections Gaudi::RootDataConnection::Tool::Sections
| protected

Definition at line 199 of file RootDataConnection.h.

typedef RootDataConnection::StringVec Gaudi::RootDataConnection::Tool::StringVec
| protected

Definition at line 197 of file RootDataConnection.h.

## Constructor & Destructor Documentation

virtual Gaudi::RootDataConnection::Tool::~Tool | ( |  | ) |
| virtual default

Default destructor.

## Member Function Documentation

StringVec& Gaudi::RootDataConnection::Tool::conts | ( |  | ) | const
| inline

Definition at line 210 of file RootDataConnection.h.

210 { return c->m_conts; }
Gaudi::RootDataConnection::m_conts
StringVec m_conts
Map containing external container names.
Definition: RootDataConnection.h:163
Gaudi::RootDataConnection::Tool::c
RootDataConnection * c
Pointer to containing data connection object.
Definition: RootDataConnection.h:206

StringVec& Gaudi::RootDataConnection::Tool::dbs | ( |  | ) | const
| inline

Definition at line 209 of file RootDataConnection.h.

209 { return c->m_dbs; }
Gaudi::RootDataConnection::Tool::c
RootDataConnection * c
Pointer to containing data connection object.
Definition: RootDataConnection.h:206
Gaudi::RootDataConnection::m_dbs
StringVec m_dbs
Map containing external database file names (fids)
Definition: RootDataConnection.h:161

virtual TBranch* Gaudi::RootDataConnection::Tool::getBranch | ( | const std::string & | section,
|  | const std::string & | n
| ) |  |
| pure virtual

Access data branch by name: Get existing branch in read only mode.

StringVec& Gaudi::RootDataConnection::Tool::links | ( |  | ) | const
| inline

Definition at line 211 of file RootDataConnection.h.

211 { return c->m_links; }
Gaudi::RootDataConnection::m_links
StringVec m_links
Map containing internal links names.
Definition: RootDataConnection.h:165
Gaudi::RootDataConnection::Tool::c
RootDataConnection * c
Pointer to containing data connection object.
Definition: RootDataConnection.h:206

LinkSections& Gaudi::RootDataConnection::Tool::linkSections | ( |  | ) | const
| inline

Definition at line 216 of file RootDataConnection.h.

216 { return c->m_linkSects; }
Gaudi::RootDataConnection::m_linkSects
LinkSections m_linkSects
Database link sections.
Definition: RootDataConnection.h:173
Gaudi::RootDataConnection::Tool::c
RootDataConnection * c
Pointer to containing data connection object.
Definition: RootDataConnection.h:206

virtual int Gaudi::RootDataConnection::Tool::loadRefs | ( | const std::string & | section,
|  | const std::string & | cnt,
|  | unsigned long | entry,
|  | RootObjectRefs & | refs
| ) |  |
| pure virtual

Load references object.

MergeSections& Gaudi::RootDataConnection::Tool::mergeSections | ( |  | ) | const
| inline

Definition at line 217 of file RootDataConnection.h.

217 { return c->m_mergeSects; }
Gaudi::RootDataConnection::m_mergeSects
MergeSections m_mergeSects
Database section map for merged files.
Definition: RootDataConnection.h:171
Gaudi::RootDataConnection::Tool::c
RootDataConnection * c
Pointer to containing data connection object.
Definition: RootDataConnection.h:206

MsgStream& Gaudi::RootDataConnection::Tool::msgSvc | ( |  | ) | const
| inline

Definition at line 213 of file RootDataConnection.h.

213 { return c->msgSvc(); }
Gaudi::RootDataConnection::msgSvc
MsgStream & msgSvc() const
Allow access to printer service.
Definition: RootDataConnection.h:146
Gaudi::RootDataConnection::Tool::c
RootDataConnection * c
Pointer to containing data connection object.
Definition: RootDataConnection.h:206

const std::string& Gaudi::RootDataConnection::Tool::name | ( |  | ) | const
| inline

Definition at line 214 of file RootDataConnection.h.

214 { return c->m_name; }
Gaudi::IDataConnection::m_name
std::string m_name
Connection name/identifier.
Definition: IIODataManager.h:27
Gaudi::RootDataConnection::Tool::c
RootDataConnection * c
Pointer to containing data connection object.
Definition: RootDataConnection.h:206

ParamMap& Gaudi::RootDataConnection::Tool::params | ( |  | ) | const
| inline

Definition at line 212 of file RootDataConnection.h.

212 { return c->m_params; }
Gaudi::RootDataConnection::m_params
ParamMap m_params
Parameter map for file parameters.
Definition: RootDataConnection.h:169
Gaudi::RootDataConnection::Tool::c
RootDataConnection * c
Pointer to containing data connection object.
Definition: RootDataConnection.h:206

virtual RootRef Gaudi::RootDataConnection::Tool::poolRef | ( | size_t |  | ) | const
| inline virtual

Internal overload to facilitate the access to POOL files.

Reimplemented in Gaudi::PoolTool.

Definition at line 224 of file RootDataConnection.h.

224 { return RootRef(); }

virtual StatusCode Gaudi::RootDataConnection::Tool::readRefs | ( |  | ) |
| pure virtual

Read references section when opening data file.

Implemented in Gaudi::RootTool, and Gaudi::PoolTool.

TTree* Gaudi::RootDataConnection::Tool::refs | ( |  | ) | const
| inline

Definition at line 208 of file RootDataConnection.h.

208 { return c->m_refs; }
Gaudi::RootDataConnection::Tool::c
RootDataConnection * c
Pointer to containing data connection object.
Definition: RootDataConnection.h:206
Gaudi::RootDataConnection::m_refs
TTree * m_refs
Pointer to the reference tree.
Definition: RootDataConnection.h:157

virtual StatusCode Gaudi::RootDataConnection::Tool::saveRefs | ( |  | ) |
| pure virtual

Save references section when closing data file.

Implemented in Gaudi::RootTool, and Gaudi::PoolTool.

Sections& Gaudi::RootDataConnection::Tool::sections | ( |  | ) | const
| inline

Definition at line 215 of file RootDataConnection.h.

215 { return c->m_sections; }
Gaudi::RootDataConnection::m_sections
Sections m_sections
Tree sections in TFile.
Definition: RootDataConnection.h:159
Gaudi::RootDataConnection::Tool::c
RootDataConnection * c
Pointer to containing data connection object.
Definition: RootDataConnection.h:206

## Member Data Documentation

RootDataConnection* Gaudi::RootDataConnection::Tool::c
| protected

Pointer to containing data connection object.

Definition at line 206 of file RootDataConnection.h.

The documentation for this class was generated from the following file:

- RootCnv/RootCnv/RootDataConnection.h